/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from cvsjob.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __CVSJOB_STUB__
#define __CVSJOB_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <tqstringlist.h>
#include <tqstring.h>
#include <tqobject.h>


class TDE_EXPORT CvsJob_stub : virtual public DCOPStub
{
public:
    CvsJob_stub( const TQCString& app, const TQCString& id );
    CvsJob_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit CvsJob_stub( const DCOPRef& ref );
    virtual bool execute();
    virtual void cancel();
    virtual bool isRunning();
    virtual TQString cvsCommand();
    virtual TQStringList output();
protected:
    CvsJob_stub() : DCOPStub( never_use ) {}
};


#endif
